`cluster_max_peaks` <-
function(clusters) {
  max_clusters <- list()
  for (i in 1:length(clusters)) {
    cluster <- clusters[[i]];
    spectra <- sort(unique(cluster[,"spectrum"]))
    max_peaks <- data.frame(mz =  rep(0, length(spectra)), 
                            int = rep(0, length(spectra)), 
                            spectrum = spectra, row.names = spectra)

    for (j in spectra) {
      spec_peaks <- cluster[which(cluster[,"spectrum"] == j),]
      for (k in 1:nrow(spec_peaks)) {
        if (spec_peaks[k, "int"] == max(spec_peaks[,"int"]))
          max_peaks[as.character(j),] <- spec_peaks[k,]
      }
    }
    max_clusters[[i]] <- max_peaks;
  }

  max_clusters
}

