`sort.data.frame` <-
function(x, decreasing=FALSE, key, ...) {
  if (missing(key)) {
    rn <- rownames(x)
    if (all(rn %in% 1:nrow(x))) rn <- as.numeric(rn)
    x[order(rn, decreasing=decreasing, ...), , drop=FALSE]
  } else {
    x[do.call("order", c(x[key], decreasing=decreasing, ...)), , drop=FALSE]
  }
}

